MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.II2C Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.II2C:

## Public Member Functions
int | ReadI2CReadPointer0Address ()
| Returns the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency.
void | WriteI2CReadPointer0Address (int address)
| Sets the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency.
int | ReadI2CReadPointer1Address ()
| Returns the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency.
void | WriteI2CReadPointer1Address (int address)
| Sets the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency.
uint | ReaI2CErrorResponse0 ()
| Returns error response of the first register of the write request.
uint | ReaI2CErrorResponse1 ()
| Returns error response of the second register of the write request.

## Member Function Documentation

## ◆ ReadI2CReadPointer0Address()

int MrEModuleSdk.Devices.SdkInterfaces.II2C.ReadI2CReadPointer0Address | ( |  | ) |

Returns the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadI2CReadPointer1Address()

int MrEModuleSdk.Devices.SdkInterfaces.II2C.ReadI2CReadPointer1Address | ( |  | ) |

Returns the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReaI2CErrorResponse0()

uint MrEModuleSdk.Devices.SdkInterfaces.II2C.ReaI2CErrorResponse0 | ( |  | ) |

Returns error response of the first register of the write request.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReaI2CErrorResponse1()

uint MrEModuleSdk.Devices.SdkInterfaces.II2C.ReaI2CErrorResponse1 | ( |  | ) |

Returns error response of the second register of the write request.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteI2CReadPointer0Address()

void MrEModuleSdk.Devices.SdkInterfaces.II2C.WriteI2CReadPointer0Address | ( | int | address | ) |

Sets the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteI2CReadPointer1Address()

void MrEModuleSdk.Devices.SdkInterfaces.II2C.WriteI2CReadPointer1Address | ( | int | address | ) |

Sets the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/II2C.cs